---
title: RTCIceCandidate.sdpMid
slug: Web/API/RTCIceCandidate/sdpMid
tags:
  - API
  - ICE
  - Identification
  - Property
  - RTCIceCandidate
  - Read-only
  - SDP
  - WebRTC
  - WebRTC API
  - id
  - identification-tag
  - sdpMid
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only property <strong><code>sdpMid</code></strong> on the {{domxref("RTCIceCandidate")}} interface returns a {{domxref("DOMString")}} specifying the media stream identification tag of the media component with which the candidate is associated.</span> This ID uniquely identifies a given stream for the component with which the candidate is associated.</p>

<p>This property can be configured by specifying the value of the {{domxref("RTCIceCandidateInit.sdpMid", "sdpMid")}} property when constructing the new candidate object using {{domxref("RTCIceCandidate.RTCIceCandidate", "RTCIceCandidate()")}}. If you call the constructor with an m-line string instead of an <code>RTCIceCandidateInit</code> object, the value of <code>sdpMid</code> is extracted from the specified candidate m-line string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sdpMid</em> = <em>RTCIceCandidate</em>.sdpMid;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the source media component from which the candidate draws data, or <code>null</code> if no such association exists for the candidate.</p>

<div class="note">
<p><strong>Note:</strong> Attempting to add a candidate (using {{domxref("RTCPeerConnection.addIceCandidate", "addIceCandidate()")}}) that has a value of <code>null</code> for either <code>sdpMid</code> or <code>sdpMLineIndex</code> will throw a <code>TypeError</code> exception.</p>
</div>

<h2 id="Example">Example</h2>

<p>...</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-sdpmid', 'RTCIceCandidate.sdpMid')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.sdpMid")}}</p>
</div>
